# 使用 Create React App 快速开始

此项目是使用 [Create React App](https://github.com/facebook/create-react-app) 初始化的。

## 创建项目
```shell
npx create-react-app <项目名>
```

## 可用脚本

在项目目录中，您可以运行：

### `npm start`

在开发模式下运行应用。
打开 [http://localhost:3000](http://localhost:3000) 在浏览器中查看。

当您进行更改时，页面将重新加载。
您还可以在控制台中看到任何 lint 错误。

### `npm test`

启动测试运行器的交互式监视模式。
有关更多信息，请参见[运行测试](https://facebook.github.io/create-react-app/docs/running-tests)部分。

### `npm run build`

将应用构建为生产模式到 `build` 文件夹。
它正确地将 React 打包到生产模式，并优化构建以获得最佳性能。

构建是压缩的，文件名包含哈希值。
您的应用已准备好部署！

有关更多信息，请参见[部署](https://facebook.github.io/create-react-app/docs/deployment)部分。

### `npm run eject`

**注意：这是一个单向操作。一旦您执行了 `eject`，就无法回头了！**

如果您对构建工具和配置选择不满意，您可以随时 `eject`。此命令将从您的项目中移除单一构建依赖项。

相反，它将复制所有配置文件和传递依赖项（webpack、Babel、ESLint 等）直接到您的项目中，以便您完全控制它们。除了 `eject` 之外的所有命令仍然有效，但它们将指向复制的脚本，以便您可以调整它们。此时您将完全自行负责。

您不必使用 `eject`。精选的功能集适用于小型和中型部署，您不应觉得有义务使用此功能。然而，我们理解，如果您准备好了，这个工具如果不能自定义，将不会有用。

## 了解更多

您可以在 [Create React App 文档](https://facebook.github.io/create-react-app/docs/getting-started) 中了解更多信息。

要学习 React，请查看 [React 文档](https://reactjs.org/)。

### 代码分割

本节已移至：[代码分割](https://facebook.github.io/create-react-app/docs/code-splitting)

### 分析包大小

本节已移至：[分析包大小](https://facebook.github.io/create-react-app/docs/analyzing-the-bundle-size)

### 制作渐进式 Web 应用

本节已移至：[渐进式 Web 应用](https://facebook.github.io/create-react-app/docs/making-a-progressive-web-app)

### 高级配置

本节已移至：[高级配置](https://facebook.github.io/create-react-app/docs/advanced-configuration)

### 部署

本节已移至：[部署](https://facebook.github.io/create-react-app/docs/deployment)

### `npm run build` 无法压缩

本节已移至：[`npm run build` 无法压缩](https://facebook.github.io/create-react-app/docs/troubleshooting#npm-run-build-fails-to-minify)
