import {useEffect, useState} from "react";

export default function InputComponent() {
    const [state, setState] = useState({
        inputValue: "666",
        checkedArr: ["1","3"]
    })

    function onChecked(e) {
        let tmp = [...state.checkedArr]
        if (e.target.checked) {
            tmp.push(e.target.value)
        } else {
            let index = tmp.indexOf(e.target.value)
            tmp.splice(index, 1)
            // checkedArr: [...state.checkedArr].slice(0, index).concat([...state.checkedArr].slice(index + 1))
        }

        setState({
            ...state,
            checkedArr: tmp
        })
    }

    useEffect(() => {
        console.log(state.checkedArr)
    }, [state.checkedArr]);

    return <div style={{border: "1px solid", width: "80%"}}>
        <div>
            {state.inputValue}
        </div>

        <input onInput={(e) => {
            setState({
                ...state,
                inputValue: e.target.value
            })
        }}
               value={state.inputValue}/>

        <div>
            <input checked={state.checkedArr.indexOf("1")  !== -1} value="1" onChange={onChecked} type="checkbox" name="options"/> 选项1
            <input checked={state.checkedArr.indexOf("2")  !== -1} value="2" onChange={onChecked} type="checkbox" name="options"/> 选项2
            <input checked={state.checkedArr.indexOf("3")  !== -1} value="3" onChange={onChecked} type="checkbox" name="options"/> 选项3
        </div>
    </div>
}
